hpp-corbaserver: _objref_Constraint Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Constraint Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for _objref_Constraint:
[legend]
Collaboration diagram for _objref_Constraint:
[legend]

## Public Member Functions
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | apply (::hpp::floatSeq &config)
char * | name ()
char * | str ()
::CORBA::Boolean | isSatisfied (const ::hpp::floatSeq &config)
Constraint_ptr | copy ()
| _objref_Constraint ()
| _objref_Constraint (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Constraint ()

## Friends
class | Constraint

## Constructor & Destructor Documentation

## ◆ _objref_Constraint() [1/2]

_objref_Constraint::_objref_Constraint | ( |  | ) |
| inline

## ◆ _objref_Constraint() [2/2]

_objref_Constraint::_objref_Constraint | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Constraint()

virtual _objref_Constraint::~_objref_Constraint | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ apply()

::CORBA::Boolean _objref_Constraint::apply | ( | ::hpp::floatSeq & | config | ) |

## ◆ copy()

Constraint_ptr _objref_Constraint::copy | ( |  | ) |

## ◆ deleteIfExpired()

::CORBA::Boolean _objref_Constraint::deleteIfExpired | ( |  | ) |

## ◆ deleteThis()

void _objref_Constraint::deleteThis | ( |  | ) |

## ◆ isSatisfied()

::CORBA::Boolean _objref_Constraint::isSatisfied | ( | const ::hpp::floatSeq & | config | ) |

## ◆ name()

char* _objref_Constraint::name | ( |  | ) |

## ◆ persistantStorage()

void _objref_Constraint::persistantStorage | ( | ::CORBA::Boolean | persistant | ) |

## ◆ str()

char* _objref_Constraint::str | ( |  | ) |

## Friends And Related Function Documentation

## ◆ Constraint

friend class Constraint
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh